diff -urN OpenCV-2.2.0-orig/CMakeLists.txt OpenCV-2.2.0/CMakeLists.txt
--- OpenCV-2.2.0-orig/CMakeLists.txt	2010-12-05 05:35:23.000000000 +0200
+++ OpenCV-2.2.0/CMakeLists.txt	2010-12-23 16:53:04.711067058 +0200
@@ -513,8 +513,8 @@
 
     string(REGEX MATCH "[0-9].[0-9]" PYTHON_VERSION_MAJOR_MINOR "${PYTHON_VERSION_FULL}")
     if(UNIX)
-        set(PYTHON_PLUGIN_INSTALL_PATH lib/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages/opencv)
-        set(PYTHON_PACKAGES_PATH lib/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages)
+        set(PYTHON_PLUGIN_INSTALL_PATH lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages/opencv)
+        set(PYTHON_PACKAGES_PATH lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR_MINOR}/site-packages)
     endif()
     if(WIN32)
         get_filename_component(PYTHON_PATH "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Python\\PythonCore\\${PYTHON_VERSION_MAJOR_MINOR}\\InstallPath]" ABSOLUTE CACHE)
@@ -1066,7 +1066,7 @@
 #                       PROCESS SUBDIRECTORIES:
 # ----------------------------------------------------------------------------
 # Save libs and executables in the same place
-set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE PATH "Output directory for libraries" )
+set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib${LIB_SUFFIX} CACHE PATH "Output directory for libraries" )
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE PATH "Output directory for applications" )
 
 if(WIN32)
@@ -1159,19 +1159,19 @@
 #  Part 2/2: ${BIN_DIR}/unix-install/opencv.pc -> For use *with* "make install"
 # prefix=/usr
 # exec_prefix=${prefix}
-# libdir=${exec_prefix}/lib
+# libdir=${exec_prefix}/lib${LIB_SUFFIX}
 # includedir=${prefix}/include/opencv
 # -------------------------------------------------------------------------------------------
 set(prefix      ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix     "\${prefix}")
-set(libdir      "\${exec_prefix}/lib")
+set(libdir      "\${exec_prefix}/lib${LIB_SUFFIX}")
 set(includedir      "\${prefix}/include")
 set(VERSION             ${OPENCV_VERSION})
 
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/opencv.pc.cmake.in" "${CMAKE_BINARY_DIR}/unix-install/opencv.pc" @ONLY IMMEDIATE)
 
 if(UNIX)
-    install(FILES ${CMAKE_BINARY_DIR}/unix-install/opencv.pc DESTINATION lib/pkgconfig)
+    install(FILES ${CMAKE_BINARY_DIR}/unix-install/opencv.pc DESTINATION lib${LIB_SUFFIX}/pkgconfig)
 endif()
 
 
diff -urN OpenCV-2.2.0-orig/modules/ffmpeg/CMakeLists.txt OpenCV-2.2.0/modules/ffmpeg/CMakeLists.txt
--- OpenCV-2.2.0-orig/modules/ffmpeg/CMakeLists.txt	2010-12-05 05:35:24.000000000 +0200
+++ OpenCV-2.2.0/modules/ffmpeg/CMakeLists.txt	2010-12-23 16:45:06.579817385 +0200
@@ -49,6 +49,6 @@
 
 install(TARGETS ${the_target}
     RUNTIME DESTINATION bin COMPONENT main
-    ARCHIVE DESTINATION lib COMPONENT main
-    LIBRARY DESTINATION lib COMPONENT main
+    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main
+    LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
     )
diff -urN OpenCV-2.2.0-orig/modules/gpu/CMakeLists.txt OpenCV-2.2.0/modules/gpu/CMakeLists.txt
--- OpenCV-2.2.0-orig/modules/gpu/CMakeLists.txt	2010-12-05 05:35:24.000000000 +0200
+++ OpenCV-2.2.0/modules/gpu/CMakeLists.txt	2010-12-23 16:44:43.283817489 +0200
@@ -124,8 +124,8 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${lib_hdrs}
 	DESTINATION include/opencv2/${name}
diff -urN OpenCV-2.2.0-orig/modules/highgui/CMakeLists.txt OpenCV-2.2.0/modules/highgui/CMakeLists.txt
--- OpenCV-2.2.0-orig/modules/highgui/CMakeLists.txt	2010-12-05 05:35:24.000000000 +0200
+++ OpenCV-2.2.0/modules/highgui/CMakeLists.txt	2010-12-23 16:44:15.164942364 +0200
@@ -302,8 +302,8 @@
 
 install(TARGETS ${the_target}
 	RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 install(FILES ${highgui_ext_hdrs}
         DESTINATION include/opencv2/highgui
diff -urN OpenCV-2.2.0-orig/OpenCVModule.cmake OpenCV-2.2.0/OpenCVModule.cmake
--- OpenCV-2.2.0-orig/OpenCVModule.cmake	2010-12-05 05:35:25.000000000 +0200
+++ OpenCV-2.2.0/OpenCVModule.cmake	2010-12-23 16:42:56.638817731 +0200
@@ -75,8 +75,8 @@
 
 	install(TARGETS ${the_target}
 	    RUNTIME DESTINATION bin COMPONENT main
-	    LIBRARY DESTINATION lib COMPONENT main
-	    ARCHIVE DESTINATION lib COMPONENT main)
+	    LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	    ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 
 	install(FILES ${lib_hdrs}
 	    DESTINATION include/opencv2/${name}
diff -urN OpenCV-2.2.0-orig/tests/cxts/CMakeLists.txt OpenCV-2.2.0/tests/cxts/CMakeLists.txt
--- OpenCV-2.2.0-orig/tests/cxts/CMakeLists.txt	2010-12-05 05:35:25.000000000 +0200
+++ OpenCV-2.2.0/tests/cxts/CMakeLists.txt	2010-12-23 16:45:22.049817386 +0200
@@ -64,6 +64,6 @@
 if(WIN32)
 install(TARGETS ${the_target}
     RUNTIME DESTINATION bin COMPONENT main
-	LIBRARY DESTINATION lib COMPONENT main
-	ARCHIVE DESTINATION lib COMPONENT main)
+	LIBRARY DESTINATION lib${LIB_SUFFIX} COMPONENT main
+	ARCHIVE DESTINATION lib${LIB_SUFFIX} COMPONENT main)
 endif()
